Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: linux debian Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25873

Description

Hi all,

Since I recently switched to version 2.99 both for desktop (to edit my .qgs file) and server, I cannot use anymore WFS requests using

BBOX parameter.

I get a 400 error code, with the following response to my request :

<ServiceExceptionReport xmlns="http://www.opengis.net/ogc" version="1.2.0">

 <ServiceException code="Invalid WFS Parameter">BBOX

('648554.4282185523,6864450.889702165,661798.1058293297,6872079.972632732,EPSG:2154') cannot be converted into a

rectangle</ServiceException>

</ServiceExceptionReport>

I both tried using my web application and directly into QGIS 2.99 desktop application, I get the same error.

With the former version, I hadn't such a problem.

Anyway, many thanks to all QGIS contributors. It's a great project.

Rémi.

Related issues:

Duplicates QGIS Application - Bug report # 15464: WFS 1.0.0 GetFeature reques... Closed 2016-08-19

Associated revisions

Revision 1f2109a5 - 2018-01-30 05:02 PM - Alessandro Pasotti 

[server][bugfix][wfs] Allow CRS in BBOX

Fixes #17977 - QGIS server 2.99 doesn't handles BBOX parameter on WFS request

History

#1 - 2018-01-26 06:56 PM - Rémi Bonnefoi

By the way, no problem when I use a "loading strategy: all", i.e. without a BBOX parameter.

#2 - 2018-01-30 02:37 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#3 - 2018-01-30 03:05 PM - Alessandro Pasotti

- Duplicates Bug report #15464: WFS 1.0.0 GetFeature requests from QGIS include a crsuri component in the BBOX parameter added

#4 - 2018-01-30 04:11 PM - Alessandro Pasotti

- Status changed from Open to Feedback

If I get this right, the fifth parameter to BBOX is an option for WFS 1.1.0 only and it's illegal in 1.0.

If you set the WFS version to 1.0 everything works as expected, if you leave it to AUTO, it fails.

BTW, I see that the QGIS server should support that, I'm working on a fix...

#5 - 2018-01-30 04:11 PM - Alessandro Pasotti

- Status changed from Feedback to In Progress

#6 - 2018-01-30 05:06 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/6228

#7 - 2018-01-30 05:56 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|1f2109a51f86e177f3994f97c3e8e1d93cfa1ac1.

#8 - 2018-02-01 02:54 PM - Rémi Bonnefoi

Dear Alessandro,

I am sorry to have left unsanswered your question.

Anyway, thank you very much for your support and the patch.

Best regards,

Remi

#9 - 2018-02-01 03:01 PM - Alessandro Pasotti

np, thank you for reporting the issue and using QGIS!

#10 - 2018-02-21 09:31 PM - Giovanni Manghi
https://github.com/qgis/QGIS/pull/6228


- Resolution set to fixed/implemented
